List forecast configurations
GET
/v1/forecastconfiguration/
const url = 'https://example.com/v1/forecastconfiguration/?type=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/forecastconfiguration/?type=1' \ --header 'Authorization: Bearer <token>'Return all forecast configurations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”agent
string format: uuid
cursor
string
The pagination cursor value.
metric
string format: uuid
page_size
integer
Number of results to return per page.
search
string
A search term.
type
integer
1- Linear forecast2- Anomaly forecast
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
required
string format: uuid
created_at
required
string format: date-time
deactivated_at
string format: date-time
high_metric
required
string format: uuid
id
required
string format: uuid
low_metric
required
string format: uuid
metric
required
string format: uuid
model_name
required
string
modified_at
required
string format: date-time
tolerance_perc
required
number format: double
type
required
1- Linear forecast2- Anomaly forecast
integer
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "type": 1 } ]}